> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flow402.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify

> Create a PaymentIntent in database that needs to be settled.



## OpenAPI

````yaml POST /verify
openapi: 3.1.0
info:
  title: Flow402 - x402 Facilitator for USDC
  version: 1.0.0
  license:
    name: MIT
servers:
  - url: https://api.flow402.net
security: []
tags:
  - name: health
    description: Facilitator status & monitoring.
  - name: x402
    description: X402 endpoints.
paths:
  /verify:
    post:
      tags:
        - x402
      summary: Flow402 Verify
      description: Create a PaymentIntent in database that needs to be settled.
      operationId: flow402_verify_verify_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VerifySimpleRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VerifyResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    VerifySimpleRequest:
      properties:
        from:
          description: Payer USDC address
          type: string
          title: From
          examples:
            - 0x...payerAddress
        to:
          description: Merchant USDC address
          type: string
          title: To
          examples:
            - 0x...merchantAddress
        amount:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount
        network:
          type: string
          title: Network
          default: base
          examples:
            - base
            - base-sepolia
            - arbitrum-one
            - arbitrum-sepolia
            - optimism
            - optimism-sepolia
            - solana
            - solana-devnet
        scheme:
          type: string
          title: Scheme
          default: exact
          examples:
            - exact
            - transfer
      type: object
      required:
        - from
        - to
        - amount
        - network
        - scheme
      title: VerifySimpleRequest
    VerifyResponse:
      properties:
        verified:
          type: boolean
          title: Verified
          examples:
            - true
        intentId:
          type: string
          title: Intentid
          examples:
            - pi_...
        nonce:
          type: string
          title: Nonce
          examples:
            - uniq-generated-string-from-flow402
        expiresAt:
          type: string
          format: date-time
          title: Expiresat
      type: object
      title: VerifyResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````